aboutsummaryrefslogtreecommitdiff
path: root/system/gohu-font/doinst.sh
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2017-03-29 22:37:15 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-01 06:57:04 +0700
commitb609e2e288141051b6c07a46895e6d671de2125b (patch)
treeb32695f8469476636a1f45841def6f98fca5309a /system/gohu-font/doinst.sh
parentec73d882d67d0c69ec5c814b02a733fa52d779bd (diff)
system/gohu-font: Added (monospace bitmap font for X).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/gohu-font/doinst.sh')
-rw-r--r--system/gohu-font/doinst.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/system/gohu-font/doinst.sh b/system/gohu-font/doinst.sh
new file mode 100644
index 0000000000000..aa7f16b279ebf
--- /dev/null
+++ b/system/gohu-font/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd usr/share/fonts/misc
+ if ! grep -q ^gohu fonts.alias 2>/dev/null; then
+ echo 'gohu11 -gohu-gohufont-medium-r-normal--11-80-100-100-c-60-iso10646-1' >> fonts.alias
+ echo 'gohu11bold -gohu-gohufont-bold-r-normal--11-80-100-100-c-60-iso10646-1' >> fonts.alias
+ echo 'gohu14 -gohu-gohufont-medium-r-normal--14-100-100-100-c-80-iso10646-1' >> fonts.alias
+ echo 'gohu14bold -gohu-gohufont-bold-r-normal--14-100-100-100-c-80-iso10646-1' >> fonts.alias
+ fi
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x usr/bin/fc-cache ]; then
+ usr/bin/fc-cache -f
+fi